> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unicredit Bulgaria

## Links

* [PORTAL](https://developers.erstegroup.com/docs/apis/bank.slsp)

## Scopes

* Account Information 🔒
* Payment Initiation 🔒

## Supported ASPSPs

| ASPSP                              | Link                                                                                     | Supported | Institution ID                             |
| ---------------------------------- | ---------------------------------------------------------------------------------------- | --------- | ------------------------------------------ |
| UniCredit Bulgaria and its Sandbox | [https://developer.unicredit.eu/api-catalog](https://developer.unicredit.eu/api-catalog) | Yes       | `unicredit_bg`<br />`unicredit_bg-sandbox` |

## Registration Process

Unicredit doesn't supports Dynamic Registration for any of the above institutions.

## Accounts and Payments Supported

### Accounts

* accounts
* balance
* transactions

### Payments

* Domestic Payments
* Domestic EEA Payments
* Periodic Payments
  * Daily
  * Weekly
  * Monthly

## Onboarding ASPSP's to Yapily Application

### **LIVE & SANDBOX:**

**Precondition**: To connect to Live and Sandbox Unicredit supported ASPSP, whether you are accessing account information or initiating payments, your business must have the right permission to access the resource. You need valid eiDAS certificates to connect. Please refer to the respective ASPSPs link given above for more details.

Below steps need to be performed for registration until our Dashboard is integrated with V2 .

**Pre-requisites:**

* eiDAS certificates

Steps Required for registration

1. Upload the signing and transport certificates into V2 services

You will need to register your signing (QSEAL) and transport keys (QWAC). For each of them, use the following API:

**Request**

```shell theme={null}
curl --location --request POST 'https://api.yapily.com/certificates/keys/' \
--header 'Authorization: Basic YOUR_APPLICATION_CREDENTIALS_AS_BASIC_AUTH' \
--header 'Content-Type: application/json' \
--data-raw '{
"pem": "$YOUR_PUBLIC_KEY_AS_PEM",
"key": "$YOUR_PRIVATE_KEY"
}'
```

**Response**

```json theme={null}
{
"id": "d16f87d3-4222-4173-b8b9-44aeccacae7d",
"applicationId": "7e9f7ffe-11f6-46f1-bcbb-fbf786ff1f35",
"thumbprint": "CUq0cooTXDiFh0_xlV-z3-AW-aKbE4ht0U75fol71Vg",
"key": ...
}
```

Save the id and remember for which kind of key it corresponds:

`SIGNING_KEY_ID=d16f87d3-4222-4173-b8b9-44aeccacae7d`

Once you have done it for the signing key, do the same request for your transport key.

2. Unicredit doesn't Supports Dynamic registration and for a set of certificates, one registration is possible. In this step, we link the certificates uploaded above to use for Manual registration with the bank:

   * This bank doesn't need `apikey`, `client_id` or `secret`

**Request**

```shell theme={null}
curl --location --request POST 'https://api.yapily.com/institutions/$BANK_ID/manual/register' \
--header 'Content-Type: application/json' \
--header 'x-yapily-force-platform: P2' \
--header 'Authorization: Bearer YOUR_APPLICATION_CREDENTIALS_AS_BASIC_AUTH' \
--data-raw '{
    "signingKeyID": "$SIGNING_KEY_ID",
    "transportKeyID": "$TRANSPORT_KEY_ID",
    "apiTypes": ["AISP","PISP"]
}'
```

**Response example**

```json theme={null}
{
"id": "a0460a91-4b4c-422a-bbe6-bebe0b92e308"
}
```

## Support

If you require technical support with certificate management, please contact [Support](/resources/support).
